## qubes-gui-daemon 4.2.8

=== debian/changelog ===
qubes-gui-daemon (4.2.8-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 17 Jun 2024 04:29:18 +0200

qubes-gui-daemon (4.2.8-1) unstable; urgency=medium

  * Add basic SELinux policy

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 17 Jun 2024 04:29:18 +0200
