=== screen-layout-handler/Makefile ===
LDLIBS=-lX11 -lXrandr

all: watch-screen-layout-changes
