## qubes-gui-daemon 4.3.0

=== debian/changelog ===
qubes-gui-daemon (4.3.0-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 15 Jun 2024 21:34:13 +0200

qubes-gui-daemon (4.3.0-1) unstable; urgency=medium

  [ Piotr Bartman ]
  * q-dev: reformat file + typos
  * q-dev: change `devclass` to be consistent with qubes-core-admin
  * q-dev: set Microphone Interface
  * q-dev: device protocol
  * q-dev: fix device protocol
  * q-dev: better description of mic

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 15 Jun 2024 21:34:13 +0200
