=== debian/control ===
Source: qubes-gui-daemon
Section: admin
Priority: optional
Maintainer: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Build-Depends:
 debhelper (>= 10),
 qubes-gui-common,
 config-package-dev,
 libxen-dev,
 libvchan-xen-dev,
 python3-dev,
 libpulse-dev,
 libxrandr-dev,
 libxcb1-dev,
 libxcb-util0-dev,
 libxcb-shm0-dev,
 libx11-xcb-dev,
 libconfig-dev,
 libpng-dev,
 libnotify-dev,
 qubesdb-dev,
 help2man,
 libqubes-pure-dev,
Standards-Version: 4.1.3
Homepage: https://qubes-os.org/
Vcs-Browser: https://github.com/QubesOS/qubes-gui-daemon
Vcs-Git: https://github.com/QubesOS/qubes-gui-daemon.git

Package: qubes-gui-daemon
Architecture: any
Depends:
 python3-xcffib,
 xserver-xorg-core,
 python3,
 qubes-core-qrexec (>= 4.1.5),
 python3-qubesimgconverter (>= 4.1.4),
 socat,
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 qubes-audio-daemon
Provides: ${diverted-files}
Conflicts: ${diverted-files}
Description: Qubes GUI virtualization (GUI VM side)
 The Qubes GUI virtualization infrastructure that needs to be installed in GUI
 VM.

Package: qubes-audio-daemon
Architecture: any
Depends:
 pulseaudio,
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: qubes-gui-daemon-pulseaudio (<< 4.1.21~)
Breaks: qubes-gui-daemon-pulseaudio (<< 4.1.21~)
Description: Qubes audio virtualization (GUI/Audio VM side)
 The GUI/Audio VM side of Qubes audio virtualization.

Package: qubes-gui-daemon-pulseaudio
Architecture: any
Depends:
 qubes-audio-daemon,
 ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely be removed.
