## qubes-gui-daemon 4.3.3

=== debian/changelog ===
qubes-gui-daemon (4.3.3-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 12 Aug 2024 17:11:04 +0200

qubes-gui-daemon (4.3.3-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update lint job
  * Use QubesDB to authorize usage of mic and retrieve its status

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 12 Aug 2024 17:11:04 +0200

qubes-gui-daemon (4.3.2-1) unstable; urgency=medium

  [ Euwiiwueir ]
  * Factor out a function to parse color from string
  * qubes-guid: add window_background_color setting

  [ Frédéric Pierret (fepitre) ]
  * Reformat according to python-black

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 05 Jul 2024 17:28:35 +0200

qubes-gui-daemon (4.3.1-1) unstable; urgency=medium

  * Add basic SELinux policy

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 17 Jun 2024 04:27:04 +0200
