=== common/Makefile ===
all:
	@echo Doing nothing.
clean:
	rm -f *.o
