## qubes-gui-daemon 4.3.10

=== debian/changelog ===
qubes-gui-daemon (4.3.10-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Thu, 26 Jun 2025 18:20:06 +0200

qubes-gui-daemon (4.3.10-1) unstable; urgency=medium

  * pulse: connect recording stream only when recording is allowed

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 26 Jun 2025 18:20:06 +0200
