=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
 Build-Depends:
  debhelper (>= 10),
- qubes-gui-common,
+ qubes-gui-common (>= 4.3.0),
  config-package-dev,
  libxen-dev,
  libvchan-xen-dev,
@@ -48,7 +48,7 @@
 Package: qubes-audio-daemon
 Architecture: any
 Depends:
- pulseaudio,
+ pulseaudio | pipewire-pulse,
  ${shlibs:Depends},
  ${misc:Depends}
 Replaces: qubes-gui-daemon-pulseaudio (<< 4.1.21~)
