## qubes-gui-daemon 4.3.12

=== debian/changelog ===
qubes-gui-daemon (4.3.12-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 08 Aug 2025 01:47:46 +0200

qubes-gui-daemon (4.3.12-1) unstable; urgency=medium

  * Pull in notification proxy together with gui daemon

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 08 Aug 2025 01:47:46 +0200
