=== window-icon-updater/Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 install:
 	install -D icon-receiver $(DESTDIR)/usr/lib/qubes/icon-receiver
+	install -d $(DESTDIR)/etc/qubes-rpc
 	ln -s /var/run/qubes/icon-receiver.sock $(DESTDIR)/etc/qubes-rpc/qubes.WindowIconUpdater
 	install -d $(DESTDIR)/etc/qubes/rpc-config
 	install -m 0664 -D qubes.WindowIconUpdater.config $(DESTDIR)/etc/qubes/rpc-config/qubes.WindowIconUpdater
