=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DESTDIR=$(shell pwd)/debian/tmp
export LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

DIST := $(shell grep ^VERSION_CODENAME= /etc/os-release | cut -d = -f 2)


%:
	dh $@ --with config-package

override_dh_auto_build:
	make all

override_dh_auto_install:
	dh_auto_install
	mv $(DESTDIR)/usr/bin/X-wrapper-qubes $(DESTDIR)/usr/bin/X.qubes

override_dh_install:
	dh_install --fail-missing

override_db_gencontrol:
	if [ "$(DIST)" != "bookworm" ] && [ "$(DIST)" != "jammy" ] && [ "$(DIST)" != "noble" ]; then \
		echo "daemon:Depends=qubes-notification-daemon" >> debian/qubes-gui-daemon.substvars; \
	fi
	dh_gencontrol


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
