## qubes-gui-daemon 4.3.14

=== debian/changelog ===
qubes-gui-daemon (4.3.14-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Mon, 20 Oct 2025 22:40:45 +0200

qubes-gui-daemon (4.3.14-1) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * Don't event-buffer ConfigureNotify, MapNotify, and ReparentNotify
    events

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 20 Oct 2025 22:40:45 +0200
