## qubes-gui-daemon 4.3.15

=== debian/changelog ===
qubes-gui-daemon (4.3.15-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Wed, 07 Jan 2026 17:06:30 +0100

qubes-gui-daemon (4.3.15-1) unstable; urgency=medium

  * Re-dock tray icons when tray manager is restarted

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 07 Jan 2026 17:06:30 +0100
